View Issue Details

IDProjectCategoryView StatusLast Update
00016793 - Current Dev ListBugpublic2018-04-15 08:10
ReporterWA9PIE 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001679: eQSL upload is not showing warnings correctly
DescriptionosTicket #449301

Please see the attached screen. The warning count = 0 yet when I look at the detail, each update is a duplicate and comes with a warning.

Jerry
KB2GCG
TagsNo tags attached.
ModuleLogbook
Sub-ModuleeQSL
TestingNot Started

Relationships

Activities

WA9PIE

2014-07-29 12:21

administrator  

eqsl no warnings.png (111,272 bytes)
eqsl no warnings.png (111,272 bytes)

user38

2015-11-30 12:08

  ~0000678

Call from WB2REM - also same issue

PD9FER

2017-08-17 13:50

updater   ~0004010

Confirmed by replicating.
See screenshot.

https://support.ham-radio-deluxe.com/scp/tickets.php?id=11273

2017-08-17_19-14-25.png (112,467 bytes)
2017-08-17_19-14-25.png (112,467 bytes)

K7ZCZ

2018-04-15 08:08

manager   ~0004831

The eQSL API doesn't really have ... structure, so our code has to parse a string to deduce the disposition of each record. That code first looked for "result:" and "added" to determine success, before considering "Warning" or "Error".

I've made a fix that corrects this.

K7ZCZ

2018-04-15 08:10

manager   ~0004832

fixed with this checkin
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4057

Issue History

Date Modified Username Field Change
2014-07-29 12:21 WA9PIE New Issue
2014-07-29 12:21 WA9PIE File Added: eqsl no warnings.png
2015-09-17 13:17 WA9PIE Category Logbook => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-22 23:44 WA9PIE Fix Build TBD => (select)
2015-09-22 23:44 WA9PIE Summary Bug: eQSL upload is not showing warnings correctly => eQSL upload is not showing warnings correctly
2015-11-30 12:08 user38 Note Added: 0000678
2017-08-17 13:50 PD9FER File Added: 2017-08-17_19-14-25.png
2017-08-17 13:50 PD9FER Note Added: 0004010
2018-04-15 08:06 K7ZCZ Assigned To => K7ZCZ
2018-04-15 08:06 K7ZCZ Status new => assigned
2018-04-15 08:06 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2018-04-15 08:08 K7ZCZ Note Added: 0004831
2018-04-15 08:10 K7ZCZ Status assigned => resolved
2018-04-15 08:10 K7ZCZ Resolution open => fixed
2018-04-15 08:10 K7ZCZ Testing => Not Started
2018-04-15 08:10 K7ZCZ Note Added: 0004832